{{ $appSection := "rozpocet" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}
  annotations:
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/configuration-snippet: |
      more_set_headers "X-Frame-Options: sameorigin";
spec:
  rules:
    {{- range (index .Values $appSection "ingress" "hosts") }}
    - host: {{ . | quote }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: {{ index $.Values $appSection "port" }}
            path: /
            pathType: Prefix
    {{- end }}
  tls:
    - hosts: {{ index .Values $appSection "ingress" "hosts" | toYaml | nindent 8 }}
      secretName: {{ index .Values $appSection "ingress" "hosts" 0 }}-tls
{{ end }}
